<div class="card">
  <div class="card-body">
    <form [formGroup]="FormActividad" (ngSubmit)="guardarActividad()">
      <div class="form-group">
        <label>Proyecto:</label>
        <select (change)="changeProyecto($event.target.value)" class="form-control" name="" formControlName="idProyecto"
          [ngClass]="{'border-danger':(FlightRequired && FormBillingItem.get('Flight.idPromotionTicket').hasError('required'))}">
          <option value="">Seleccione un proyecto</option>
          <option *ngFor="let proyecto of Proyectos" [value]="proyecto.Id">
            {{ proyecto.Nombre }}
          </option>
        </select>
      </div>

      <div class="card">
        <div class="card-header">
          Equipo
        </div>
        <div class="card-body">
          <div class="form-group">
            <label>Nombre:</label>
            <select (change)="changeEquipo($event.target.value)" class="form-control" name="" formControlName="idEquipo"
              [ngClass]="{'border-danger':(FlightRequired && FormBillingItem.get('Flight.idPromotionTicket').hasError('required'))}">
              <option value="">Seleccione un equipo</option>
              <option *ngFor="let equipo of Equipos" [value]="equipo.Id">
                {{ equipo.Nombre }}
              </option>
            </select>
          </div>

          <app-integrantes [Integrantes]="Integrantes"></app-integrantes>

        </div>
      </div>


      <br>
      <div class="card" formGroupName='Actividad'>
        <div class="card-header">
          Actividades
        </div>
        <div class="card-body">
          <div class="form-row">
            <div class="form-grop col-lg-2 col-md-12 col-sm-12">
              <label>Codigo:</label>
              <input type="text" class="form-control" formControlName="codigo">
            </div>
            <div class="form-group col-lg-7 col-md-9 col-sm-12">
              <label>Descripcion:</label>
              <input type="text" class="form-control" formControlName="actividad">
            </div>
            <div class="form-group col-lg-3 col-md-3 col-sm-12">
              <label>Tiempo (Horas):</label>
              <input type="number" class="form-control" formControlName="tiempo">
            </div>
          </div>
          <!-- <div class="form-row">
              <div class="form-group col-12">
                <label>Descripcion:</label>
                <input type="text" class="form-control" formControlName="actividad">
              </div>
             
            </div> -->
          <div class="form-row">

            <div class="form-group col-12">
              <label>Entregable:</label>
              <textarea type="text" class="form-control" formControlName="entregable"></textarea>
            </div>
          </div>
          <div class="form-row">
            <div class="col-12 d-flex justify-content-end">
              <div class="form-group p-1">
                <button type="submit" class="btn btn-danger">Cancelar</button>
              </div>
              <div class="form-group p-1">
                <button type="submit" class="btn btn-success">Insertar</button>
              </div>
            </div>
          </div>

          <app-actividades (EliminarActividad)="eliminarActividad($event)" [Actividades]="Actividades"></app-actividades>

        </div>
      </div>



    </form>
  </div>
</div>
